DECLARE SUB CannotGo ()
DECLARE SUB Street4 ()
DECLARE SUB Subway1 ()
DECLARE SUB Stats ()
DECLARE SUB CannotDo ()
DECLARE SUB Help ()
DECLARE SUB Inventory ()
DECLARE SUB Quit ()
DECLARE SUB RestoreInGame ()
DECLARE SUB SaveGame ()
'$INCLUDE: 'c:\bc7\programs\cyber\global.bi'

SUB Street7

RestoreRoom = 27
Room:
  CLS
  PRINT "This poorly-kept road runs north and south.  To the south stairs lead into"
  PRINT "an underground subway system.  A gull flies over your head, and you briefly"
  PRINT "wish for the freedom it enjoys."
Command:
  LINE INPUT "> "; a$: a$ = UCASE$(a$)
  IF a$ = "N" OR a$ = "NORTH" OR a$ = "GO NORTH" THEN Street4
  IF a$ = "S" OR a$ = "SOUTH" OR a$ = "GO SOUTH" THEN GOTO IntoSubway
  IF a$ = "E" OR a$ = "EAST" OR a$ = "GO EAST" THEN CannotGo: GOTO Command
  IF a$ = "W" OR a$ = "WEST" OR a$ = "GO WEST" THEN CannotGo: GOTO Command
  IF a$ = "STATS" THEN Stats: GOTO Command
  IF a$ = "SEARCH" OR a$ = "SEARCH ROOM" THEN GOTO SearchRoom: GOTO Command
  IF a$ = "LOOK" THEN GOTO Room: GOTO Command
  IF a$ = "HELP" OR a$ = "?" THEN Help: GOTO Room
  IF a$ = "QUIT" OR a$ = "EXIT" THEN Quit: GOTO Command
  IF a$ = "I" OR a$ = "INVENTORY" THEN Inventory: GOTO Command
  IF a$ = "SAVE" OR a$ = "SAVE GAME" THEN SaveGame: GOTO Command
  IF a$ = "RESTORE" OR a$ = "RESTORE GAME" THEN RestoreInGame: GOTO Command
  CannotDo
  GOTO Command

SearchRoom:
  PRINT "You don't find anything worth taking."
  GOTO Command

IntoSubway:
  IF JasperIsKilled = 1 THEN Subway1
  PRINT "There's no reason to leave the Sprawl quite yet.  There's still more to learn."
  GOTO Command

END SUB

